﻿using System;
using System.Drawing;
using System.IO;
using System.Reflection;
using System.Windows.Forms;
using System.Xml;

namespace XmlResource
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            string folder = Path.GetDirectoryName( Assembly.GetExecutingAssembly().Location );
            string file = Path.Combine( folder, "sample.xml" );
            if( File.Exists( file ) ) {
                // xmlファイルを開く
                XmlDocument xml = new XmlDocument();
                xml.Load( file );

                // リソース格納用のノードを取得
                XmlNode resource = xml.SelectSingleNode( "/Sample/Resource" );
                if( resource != null && !string.IsNullOrEmpty( resource.InnerText ) ) {
                    // リソースを取得
                    string base64 = resource.InnerText.Replace( Environment.NewLine, "" );

                    // Base64文字列からバイト配列に変換
                    byte[] data = Convert.FromBase64String( base64 );

                    // バイト配列からImageに変換
                    ImageConverter conv = new ImageConverter();
                    this.pictureBox1.Image = (Image)conv.ConvertFrom( data );
                }
            }
        }
    }
}
